Subject: [bug#39798] [PATCH 00/13] Update Pandoc.

From: zimoun <[email-masked]>
Date: Mon, 2 Mar 2020 09:45:44 +0100

Hi Pierre,

On Thu, 27 Feb 2020 at 08:52, Pierre Neidhardt <[email-masked]> wrote:
> Ricardo Wurmus <[email-masked]> writes:

> > Haskell package upgrades need to be consistent according to the current
> > LTS.  We can’t just upgrade some Haskell packages without upgrading them
> > all.  They also cannot be upgraded to the latest version as that may be
> > higher than the LTS version.
>
> I'm new to Haskell packaging.  Where do I find the LTS versions?
> Can we update pandoc then?

I am not closely following the Haskell packaging in Guix, but you
should find the LTS versions there:
https://www.stackage.org/
It is better to upgrade all the Haskell packages (compiler included)
to stay compliant with the LTS, otherwise it should become a mess
falling in the Cabal Hell.

https://en.wikipedia.org/wiki/Cabal_(software)#Criticism

Hope that helps.
simon